> ## Documentation Index
> Fetch the complete documentation index at: https://docs.artu.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a presigned download URL for a source file



## OpenAPI

````yaml /openapi/custom-reference-data.json get /custom-reference-data/sources/{sourceId}/files/{fileId}/download
openapi: 3.1.1
info:
  title: ARTU Compliance API
  version: 1.0.0
  description: 'API for compliance management. Documentation: https://docs.artu.ai'
servers:
  - url: https://api.artu.ai
security:
  - bearerAuth: []
    environmentHeader: []
paths:
  /custom-reference-data/sources/{sourceId}/files/{fileId}/download:
    get:
      tags:
        - Custom Reference Data
      summary: Get a presigned download URL for a source file
      operationId: customReferenceData.getFileDownloadUrl
      parameters:
        - name: sourceId
          in: path
          required: true
          schema:
            type: string
            format: uuid
        - name: fileId
          in: path
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  url:
                    type: string
                  expiresAt:
                    type: string
                  filename:
                    type: string
                required:
                  - url
                  - expiresAt
                  - filename
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: API key authentication. Obtain your API key from the dashboard.
    environmentHeader:
      type: apiKey
      in: header
      name: X-Environment
      description: Target environment for the request. Must be "test" or "live".

````